#include	"p18f4550.h"
#include	"main.h"
#include 	"xlcd.h"
#include	"delays.h"



#pragma config FOSC = HS    //CPU=20 MHz
#pragma config PWRT = ON
#pragma config BOR = OFF
#pragma config WDT = OFF  //Watchdog Timer
#pragma config LVP = OFF  //Low Voltage ICSP 


/** V E C T O R  R E M A P P I N G *******************************************/
#pragma code

extern void _startup (void);        // See c018i.c in your C18 compiler dir
#pragma code _RESET_INTERRUPT_VECTOR = 0x1000
void _reset (void)
{
    _asm goto _startup _endasm
}
#pragma code _HIGH_INTERRUPT_VECTOR = 0x1008
void _high_ISR (void)
{
        _asm goto high_isr _endasm
}

#pragma code _LOW_INTERRUPT_VECTOR = 0x1018
void _low_ISR (void)
{
    _asm goto low_isr _endasm
}
#pragma code

/** D E C L A R A T I O N S **************************************************/
/******************************************************************************
 * Function:        void high_isr(void)
 *****************************************************************************/
#pragma interrupt high_isr
void high_isr(void)
{

}

/******************************************************************************
 * Function:        void low_isr(void)
 *****************************************************************************/
#pragma interruptlow low_isr
void low_isr(void)
{
}
#pragma code

/** D E C L A R A T I O N S **************************************************/
#pragma code
/******************************************************************************
 * Function:        void main(void)
 *****************************************************************************/
void	main(void)
{

	XLCDInit();
		Delay10KTCYx(100);
	XLCDL1home();	//1234567891111111
		Delay10KTCYx(100);
	XLCDPutRomString(" PIC18F4550 USB ");
		Delay10KTCYx(100);
	XLCDL2home();	//1234567891111111
		Delay10KTCYx(100);
	XLCDPutRomString(" Experimentier- ");
		Delay10KTCYx(100);

	while(1)
		{


		PORTB = 0x00000000;
		TRISB = 0x00000000;
	
		LATB = 0x00000001;
		Delay10KTCYx(100);
		LATB = 0x00000000;
		Delay10KTCYx(100);

		}
		
}
